SDLTest_ArgumentParser Struct Reference

`#include <SDL_test_common.h>`

Collaboration diagram for SDLTest_ArgumentParser:
[legend]

## Data Fields

SDLTest_ParseArgumentsFp | parse_arguments
SDLTest_FinalizeArgumentParserFp | finalize
const char ** | usage
void * | data
struct SDLTest_ArgumentParser * | next

## Detailed Description

Definition at line 61 of file SDL_test_common.h.

## Field Documentation

## data

void* SDLTest_ArgumentParser::data

Definition at line 70 of file SDL_test_common.h.

## finalize

SDLTest_FinalizeArgumentParserFp SDLTest_ArgumentParser::finalize

Definition at line 66 of file SDL_test_common.h.

## next

struct SDLTest_ArgumentParser* SDLTest_ArgumentParser::next

Definition at line 72 of file SDL_test_common.h.

## parse_arguments

SDLTest_ParseArgumentsFp SDLTest_ArgumentParser::parse_arguments

Definition at line 64 of file SDL_test_common.h.

## usage

const char** SDLTest_ArgumentParser::usage

Definition at line 68 of file SDL_test_common.h.

The documentation for this struct was generated from the following file:

- SDL_test_common.h